package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.communityCenter.domain.PublicModelCommentVo;
import com.mcwl.communityCenter.domain.PublishCommission;

import java.util.List;

/**
 * @Author：ChenYan
 * @Project：mcwl-ai
 * @Package：com.mcwl.communityCenter.service
 * @Filename：PublishCommissionService
 * @Description TODO
 * @Date：2025/1/17 14:27
 */

public interface PublishCommissionService extends IService<PublishCommission> {
    /**
     * 点赞或取消点赞评论
     * @param userId 用户ID
     * @param commentId 评论ID
     * @return 更新后的点赞数
     */
    int toggleLike(Long userId, Long commentId);

    List<PublicModelCommentVo> getComment(PublishCommission publishCommission);

}
