package com.mcwl.communityCenter.domain.vo;


import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class QuestionVo {


    private Long id;

    /**
     * 社区id
     */
    private Long communityId;

    /**
     * 提问用户id
     */
    private Long questionUserId;

    /**
     * 提问用户名
     */
    private String questionUserName;

    /**
     * 提问用户头像
     */
    private String questionUserAvatar;

    /**
     * 提问内容
     */
    private String content;

    /**
     * 提问图片
     */
    private String questionUrl;

    /**
     * 提问时间
     */
    private Date createTime;

    /**
     * 答复用户id
     */
    private Long replyUserId;

    /**
     * 回复内容
     */
    private String reply;

    /**
     * 回复时间
     */
    private Date replyTime;

    /**
     * 是否匿名
     */
    private Integer isAnonymous;





}
